html,
body {
    height: 100%;
    /* Insure full viewport height */
    margin: 0;
    /* remove default margins. not necessary with tailwind. */
}

body {
    display: flex;
    /* body is flex container */
    flex-direction: column;
    /* stack header, main, footer */
    text-align: center;
    font-family: system-ui, Arial, sans-serif;
    background: linear-gradient(90deg, var(--color-pink-950) 0%, var(--color-green-950) 100%);
    color: var(--color-yellow-50);
    border: solid var(--color-gray-500);
    border-width: 0 2px 0 2px;
}

main {
    flex-grow: 1;
    /* make sure main grows to fill space between header and footer */
    overflow: auto;
    /* Scroll content if necessary */
}

leftSection {
    min-width: 400px;
    padding-left: 1rem;
    text-align: left;
    border: solid var(--color-gray-500);
    border-width: 0 1px 0 0;
    background-color: var(--color-pink-950);
    color: var(--color-yellow-50);
}

centerSection {
    min-width: 400px;
    padding-left: 1rem;
    text-align: left;
    border: solid var(--color-gray-500);
    border-width: 0 1px 0 0;
    background-color: var(--color-blue-950);
    color: var(--color-yellow-50);
}

rightSection {
    min-width: 400px;
    padding-left: 1rem;
    text-align: left;
    border: solid var(--color-gray-500);
    border-width: 0 0 0 1px;
    background-color: var(--color-green-950);
    color: var(--color-yellow-50);
}

a {
    color: var(--color-slate-400);
}

a:link {
    color: var(--color-gray-400);
}

a:visited {
    color: var(--color-purple-300);
}

a:hover {
    color: var(--color-blue-200);
    text-decoration: underline;
}

a:active {
    color: var(--color-green-200);
}

.lyrics {
    overflow: auto;
    white-space: pre-wrap;
    border: 1px solid white;
    padding: 2px;
    color: var(--color-yellow-50);
    background-color: var(--color-pink-950);
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    font-size: 1rem;
    display: inline-block;
    border: 1px solid white; 
    width: 500px;
    height: 400px;
    text-align: left;
    margin: 2px;
    padding: 0.5rem; 
    width: 500px; 
    height: 400px;
}

.linerNotes {
    overflow: auto;
    white-space: pre-wrap;
    border: 1px solid white;
    padding: 2px;
    color: var(--color-yellow-50);
    background-color: var(--color-pink-950);
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    font-size: 0.75rem;
    display: inline-block;
    border: 1px solid white;
    width: 500px;
    height: max-content;
    text-align: left;
    margin-left: 2px;
    margin-right: 2px;
}

.headerBarTop {
    margin: 0 .75rem 0 .75rem;
    background-color: var(--color-blue-900);
    font-family: sans-serif;
    font-size: 3rem;
    padding-top: .5rem;
    line-height: 2.5rem;
    color: var(--color-amber-50);
    vertical-align: sub;
}

.headerBarBottom {
    margin: 0 .75rem 0 .75rem;
    border-radius: 0 0 1rem 1rem;
    background-color: var(--color-gray-500);
    font-family: sans-serif;
    font-size: 1.25rem;
    line-height: 1.75rem;
    color: var(--color-amber-50);
}

footer {
    text-align: center;
    background-color: var(--color-gray-500);
    color: var(--color-white);
    font-size: .75rem;
}